Subject: Re: [radext] Ready to go? New Version Notification - draft-ietf-softwire-6rd-radius-attrib-10.txt

From: Alan DeKok <[email-masked]>
Date: Tue, 30 Apr 2013 09:26:20 -0400

Bernard Aboba wrote:
> While Section 3 now does describe how authentication/authorization
> functions in a way that is compliant with RFC 2865 and 5080, there is no
> normative language and the requirements (e.g. for User-Name and
> User-Password attributes, Message-Authenticator attribute) are not
> included in Section 4.2.  Also, it would be helpful to be explicit about
> the value of the Service-Type attribute in Access-Requests (I am
> assuming that this is no longer "Call-Check", since the User-Password
> attribute is included in the Access-Request).

http://datatracker.ietf.org/doc/draft-ietf-softwire-6rd-radius-attrib/?include_text=1

  The Table of Attributes in Section 4.2 lists User-Password as 0-1 for
Accounting-Request.  It should be just "0".

  RFC 2866 does not allow User-Password to be in Accounting-Request packets.

  Alan DeKok.